package edu.ucla.sspace.graph;

import java.util.Set;


/**
 * A functional interface for representing a method that can compare
 * relationships between pairs of vertices.
 *
 * @see Multigraph
 * @see TypedEdge
 */
public interface RelationSemantics<T> extends TypeSemantics<T> {

    /**
     * Returns the similarity of the relation (sets of edges) that connect two
     * pairs of vertices.
     */ 
    double similarity(Set<? extends TypedEdge<? extends T>> relation1, 
                      Set<? extends TypedEdge<? extends T>> relation2);

}